Organisations

Retrieve the organisations available to your credentials.
View as Markdown

Organisations group the accounts available to a customer or business entity.

Organisations are currently created by Umnai during onboarding. Use the API to retrieve the organisations your credentials can access and to inspect a specific organisation when you already have its id.

Retrieve organisations

Retrieve the organisations available to the current credentials.

GET
/organisations
1curl https://api.hi.umnai.com/organisations \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "status": "ACTIVE",
7 "created_at": "2026-03-11T16:04:19.749000Z",
8 "updated_at": null
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}

Use the returned organisation id when you need to inspect a specific organisation or relate accounts back to their parent organisation.

Retrieve an organisation

Retrieve a specific organisation by its id.

GET
/organisations/:organisationId
1curl https://api.hi.umnai.com/organisations/{organisationId} \
2 -H "Authorization: Bearer <token>"
Response
1{
2 "data": [
3 {
4 "id": "ea8b745ead39ec442fc3b4fba359bf98",
5 "name": "Sample Organisation",
6 "status": "ACTIVE",
7 "created_at": "2026-03-11T16:04:19.749000Z",
8 "updated_at": null
9 }
10 ],
11 "pagination": {
12 "total_items": 1,
13 "items_per_page": 10,
14 "current_page": 1,
15 "total_pages": 1
16 }
17}